Name:		makepasswd
Version:	0.5.4
Release:	%mkrel 7
Summary:	Random password and cypher generator
License:	GPLv3+
Group:		Security
URL:		https://github.com/khorben/makepasswd

# The release tarball has a name very difficult to work with so
# source was obtained from upstream git repository.
#
# git clone https://github.com/khorben/makepasswd
# pushd makepasswd
# git archive --prefix=makepasswd-X.Y.Z/ -o ../makepasswd-X.Y.Z.tar commit_id
# popd
# xz -z -e makepasswd-X.Y.Z.tar
Source0:	%{name}-%{version}.tar.xz
Patch0:		makepasswd-0.5.3-default-pwdlength-fedora.patch

BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	xmllint
BuildRequires:	xsltproc


%description
Makepasswd generates (pseudo-)random passwords of a desired length. It is able
to generate its encrypted equivalent.
Inspired from Rob Levin's perl script of the same name (which has no homepage,
but can be found for Debian).

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc AUTHORS BUGS COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/html1/%{name}.html*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5.4-7.mga10
+ Revision: 2196572
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.5.4-6.mga9
+ Revision: 1799581
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.5.4-5.mga9
+ Revision: 1747397
- rebuild for openssl 3.0.0

* Wed Feb 19 2020 umeabot <umeabot> 0.5.4-4.mga8
+ Revision: 1543060
- Mageia 8 Mass Rebuild

* Sun Jan 12 2020 julien <julien> 0.5.4-3.mga8
+ Revision: 1477768
- change default length of password from 6-8 to 16 characters (MGA#26060)

* Sun Sep 23 2018 umeabot <umeabot> 0.5.4-2.mga7
+ Revision: 1299442
- Mageia 7 Mass Rebuild

* Tue Oct 31 2017 julien <julien> 0.5.4-1.mga7
+ Revision: 1175279
- Adjust BR
- new version 0.5.4
  	+ adjust buildrequires (needs openssl-devel)
  	+ add manpage and various doc
  	+ use source from git since official tarball is badly named

* Sat Jan 14 2017 neoclust <neoclust> 0.5.1-7.mga6
+ Revision: 1081748
- Rebuild because of missing package

* Tue Feb 02 2016 umeabot <umeabot> 0.5.1-6.mga6
+ Revision: 931105
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 742759
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 682140
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 507714
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-2.mga3
+ Revision: 359333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 malo <malo> 0.5.1-1.mga3
+ Revision: 310906
- update to 0.5.1
- update RPM group

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 0.5.0-1.mga2
+ Revision: 216787
- imported package makepasswd


* Wed Feb 01 2012 Oliver Burger <obgr_seneca@mageia.org> 0.5.0-1.mga2
- initial package for Mageia
